IF EXISTS( SELECT 1
             FROM SYSWEBSERVICE
            WHERE service_name = 'demo/test' ) THEN
DROP SERVICE "demo/test";
END IF;


CREATE SERVICE "demo/test" TYPE 'soap' AUTHORIZATION OFF USER DBA AS
CALL SP_SOAP_TEST
(:p1
,:p2
,:p3
,:p4
,:p5
,:p6
,:p7
);

IF EXISTS( SELECT 1
             FROM SYS.SYSPROCEDURE
            WHERE proc_name = 'SP_SOAP_TEST' ) THEN
DROP PROCEDURE SP_SOAP_TEST;
END IF;

/**
 * employee sign on
 */
CREATE PROCEDURE SP_SOAP_TEST
(IN @p1 VARCHAR(32)
,IN @p2 INTEGER
,IN @p3 DATE
,IN @p4 TIMESTAMP
,IN @p5 DOUBLE
,IN @p6 DECIMAL(10,2)
,IN @p7 BIGINT)
BEGIN
	SELECT @p1, @p2, @p3, @p4, @p5, @p6, @p7;
END